HttpServer2.XFrameOption (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.http, class: HttpServer2, enum: XFrameOption

Package org.apache.hadoop.http

# Enum Class HttpServer2.XFrameOption

java.lang.Object
java.lang.Enum<HttpServer2.XFrameOption>
org.apache.hadoop.http.HttpServer2.XFrameOption

All Implemented Interfaces:
  `Serializable`, `Comparable<HttpServer2.XFrameOption>`, `Constable`

Enclosing class:
  HttpServer2

public static enum HttpServer2.XFrameOption extends Enum<HttpServer2.XFrameOption>
The X-FRAME-OPTIONS header in HTTP response to mitigate clickjacking attack.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOWFROM`
  `DENY`
  `SAMEORIGIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static HttpServer2.XFrameOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HttpServer2.XFrameOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DENY

    public static final HttpServer2.XFrameOption DENY

  - ### SAMEORIGIN

    public static final HttpServer2.XFrameOption SAMEORIGIN

  - ### ALLOWFROM

    public static final HttpServer2.XFrameOption ALLOWFROM

- ## Method Details

  - ### values

    public static HttpServer2.XFrameOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HttpServer2.XFrameOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<HttpServer2.XFrameOption>`